package com.zhyc.module.dairyProducts.mapper;

import org.apache.ibatis.annotations.Param;
import com.zhyc.module.dairyProducts.domain.NpMilkProdClasses;
import java.util.Date;
import java.util.List;

public interface NpMilkProdClassesMapper {
    List<NpMilkProdClasses> selectNpMilkProdClassesList(
            @Param("datetimeStart") Date datetimeStart,
            @Param("datetimeEnd") Date datetimeEnd,
            @Param("manageEarNo") String manageEarNo,
            @Param("factory") String factory,
            @Param("classes") Integer classes);

    int insertNpMilkProdClasses(NpMilkProdClasses row);

    String selectSheepIdByManageEarNo(@Param("manageEarNo") String manageEarNo);

    Double getWeightCorrection(@Param("date") Date date, @Param("factory") String factory);

    Double getParityCorrection(@Param("parity") Integer parity);

    Double getDryMatterCorrection(@Param("date") Date date, @Param("factory") String factory);
}